tigase.server.sreceiver

## Enum PropertyConstants.MessageType

- java.lang.Object
- - java.lang.Enum<PropertyConstants.MessageType>
  - - tigase.server.sreceiver.PropertyConstants.MessageType

- All Implemented Interfaces:
    Serializable, Comparable<PropertyConstants.MessageType>, DefaultValues
  Enclosing class:
    PropertyConstants

      public static enum PropertyConstants.MessageType
      extends Enum<PropertyConstants.MessageType>
      implements DefaultValues

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CHAT`
    `HEADLINE`
    `NORMAL`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `strValues()`
    `static PropertyConstants.MessageType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PropertyConstants.MessageType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CHAT

          public static final PropertyConstants.MessageType CHAT

    - #### HEADLINE

          public static final PropertyConstants.MessageType HEADLINE

    - #### NORMAL

          public static final PropertyConstants.MessageType NORMAL

  - ### Method Detail

    - #### values

          public static PropertyConstants.MessageType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PropertyConstants.MessageType c : PropertyConstants.MessageType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PropertyConstants.MessageType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### strValues

          public String[] strValues()

      Specified by:
        `strValues` in interface `DefaultValues`

Copyright © 2014 "Tigase, Inc.". All rights reserved.